> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepayfi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 稳定币充值记录列表

> 稳定币充值记录列表

完整[认证、签名、数据约定与错误响应](https://docs.stablepayfi.ai/zh/api/global-accounts/overview)。每次重试均须重新生成时间戳、nonce 与签名。

`GET /fund/deposits` 返回入金地址收到的稳定币充值记录，游标分页。

## 请求头

**Authorization** `string` *required*

Bearer API Key。

**X-StablePay-Timestamp** `string` *required*

Unix 秒，允许与服务端相差最多 5 分钟。

**X-StablePay-Nonce** `string` *required*

每次请求唯一的随机串，16–64 字符。

**X-StablePay-Signature** `string` *required*

HMAC-SHA256 签名，小写十六进制；签名必须对应实际发送的请求体。

## 请求参数

**merchant\_id** `string`

10 位数字；商户 App 不传，服务商 App 传值指定作用商户

**currency** `string`

按币种过滤

**network** `string`

按网络过滤

**created\_after** `integer`

只返回该时间之后首次观测的记录

**created\_before** `integer`

只返回该时间之前首次观测的记录

**limit** `integer`

每页条数，默认 20，最大 100

**next\_cursor** `string`

上一页返回的游标

## 响应

**deposits** `array` *required*

充值记录数组

**next\_cursor** `string`

还有下一页时返回

**deposit\_id** `string` *required*

充值记录 ID，10 位数字

**merchant\_id** `string` *required*

商户 ID

**account\_no** `string`

入账账户编号

**currency** `string` *required*

稳定币币种

**network** `string` *required*

充值网络

**address** `string` *required*

入金地址

**memo** `string`

备注 / Tag

**wallet\_type** `string`

wallet 或 exchange

**exchange** `string`

交易所标识

**tx\_hash** `string`

链上交易哈希

**amount** `integer` *required*

充值金额，币种最小单位

**status** `string` *required*

pending 待确认、completed 已入账

**credited\_at** `integer`

入账时间

**created** `integer` *required*

首次观测时间

## 状态与错误

400 参数不合法。

```bash cURL theme={"system"}
curl --request GET \
  --url "https://api.stablepay.co/api/v1/fund/deposits" \
  --header "Authorization: Bearer <API_KEY>" \
  --header "X-StablePay-Timestamp: <TIMESTAMP>" \
  --header "X-StablePay-Nonce: <NONCE>" \
  --header "X-StablePay-Signature: <SIGNATURE>"
```

```javascript JavaScript theme={"system"}
const response = await fetch("https://api.stablepay.co/api/v1/fund/deposits", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <API_KEY>",
    "X-StablePay-Timestamp": "<TIMESTAMP>",
    "X-StablePay-Nonce": "<NONCE>",
    "X-StablePay-Signature": "<SIGNATURE>"
  }
});
console.log(await response.json());
```

```json 200 theme={"system"}
{
  "deposits": [
    {
      "deposit_id": "9000000070",
      "merchant_id": "2000000001",
      "account_no": "00000001",
      "currency": "USDC",
      "network": "solana",
      "address": "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YymTvAVmRoz",
      "wallet_type": "exchange",
      "exchange": "binance",
      "tx_hash": "5uQ3Xw8Zp2Km7Tn4Vr9Yb6Nc1Hs5Jd3Fg0Lk8Pi2Ou7Ty4Re9Wq6Ew3",
      "amount": 10000,
      "status": "completed",
      "credited_at": 1718726405,
      "created": 1718726398
    }
  ],
  "next_cursor": "eyJpZCI6IjkwMDAwMDAwNzAifQ"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.